apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: jenkins-0.0.0-df827657
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: jenkins
      name: jenkins
      podspec:
        containers:
          - image: aep/base_s6
            name: jenkins
      provides:
        - exposed: true
          name: jenkins
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
              - name: https
                port: 443
                protocol: TCP
                targetPort: 443
      sizing:
        increment: 1
        initial: 1
        maximum: 1
        minimum: 1
  dependencies:
    operator:
      name: jenkins-operator
      vendor: asag
      version: 0.0.0-df827657
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: jenkins
  settings:
    - name: environment
      schema:
        default: jenkins_prod
  version: 0.0.0-df827657
